textures/icycavern_general/bluetile_non
{
	surfaceParm noDamage
	surfaceParm slick
	q3map_surfaceLight 500
	{
		map "textures/icycavern_general/bluetile_non.tga"
	}
	{
		map "textures/icycavern_general/goldenshiny4.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/bottom_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/bottom_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/deisgnwallB_text
{
	q3map_lightImage "textures/icycavern_general/deisgnwallB_text.tga"
	qer_editorImage "textures/icycavern_general/deisgnwallB_text.tga"
	q3map_surfaceLight 500
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icycavern_general/deisgnwallB_text.tga"
		blendFunc filter
	}
	{
		map "textures/icycavern_general/deisgnwallB_shader.tga"
		blendFunc add
		RGBGen wave noise 0.5 0.5 0 0.5
	}
}

textures/icycavern_general/14i
{
	q3map_lightImage "textures/icycavern_general/14i.tga"
	qer_editorImage "textures/icycavern_general/14i.tga"
	q3map_surfaceLight 500
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icycavern_general/14i.tga"
		blendFunc filter
	}
	{
		map "textures/icycavern_general/14i.tga"
		blendFunc add
		RGBGen wave noise 0.75 0.75 0 0.75
	}
}

textures/icycavern_general/deisgnwallP_text
{
	q3map_lightImage "textures/icycavern_general/deisgnwallP_text.tga"
	qer_editorImage "textures/icycavern_general/deisgnwallP_text.tga"
	q3map_surfaceLight 500
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icycavern_general/deisgnwallP_text.tga"
		blendFunc filter
	}
	{
		map "textures/icycavern_general/deisgnwallP_shader.tga"
		blendFunc add
		RGBGen wave noise 0.75 0.75 0 0.75
	}
}

textures/icycavern_general/deisgnwallR_text
{
	q3map_lightImage "textures/icycavern_general/deisgnwallR_text.tga"
	qer_editorImage "textures/icycavern_general/deisgnwallR_text.tga"
	q3map_surfaceLight 500
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icycavern_general/deisgnwallR_text.tga"
		blendFunc filter
	}
	{
		map "textures/icycavern_general/deisgnwallR_shader.tga"
		blendFunc add
		RGBGen wave noise 0.5 0.5 0 0.5
	}
}

textures/icycavern_general/designwall2_sl:q3map
{
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/floor1_non:q3map
{
	qer_editorImage "textures/icycavern_general/floor1_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/glass_grey
{
	qer_editorImage "textures/icycavern_general/glass_grey.tga"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map "textures/icycavern_general/tint_grey.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/icycavern_general/grass_stone:q3map
{
	qer_editorImage "textures/icycavern_general/grass_stone.jpg"
	surfaceParm noDamage
}

textures/icycavern_general/28a
{
	surfaceParm noDamage
	surfaceParm slick	
	q3map_surfaceLight 128
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	{
		map "textures/icycavern_general/28a.tga"
	}
	{
		map "textures/icycavern_general/goldenshiny4.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/seamless_blue
{
	surfaceParm noDamage
	surfaceParm slick	
	q3map_surfaceLight 128
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	{
		map "textures/icycavern_general/seamless_blue.tga"
	}
	{
		map "textures/icycavern_general/goldenshiny4.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/leettxt
{
	qer_editorImage "textures/icycavern_general/leettxt"
	qer_trans 0.7
	surfaceParm nonSolid
	surfaceParm noLightmap
	surfaceParm trans
	polygonOffset
	noPicMip
	noMipMaps
	sort banner
	{
		map "textures/icycavern_general/leettxt"
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		RGBGen identity
	}
}

textures/icycavern_general/wall1_non
{
	surfaceParm noDamage
	surfaceParm slick
	{
		map "textures/icycavern_general/wall1_non.tga"
	}
	{
		map "textures/icycavern_general/goldenshiny4.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/babicy/redtile_non
{
	surfaceParm noDamage
	surfaceParm slick
q3map_surfaceLight 128
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	{
		map "textures/babicy/redtile_non.tga"
	}
	{
		map "textures/babicyl/goldenshiny4.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/roof2_non:q3map
{
	qer_editorImage "textures/icycavern_general/roof2_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/wall1_non:q3map
{
	qer_editorImage "textures/icycavern_general/wall1_non.tga"
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/water_blue1
{
	q3map_lightImage "textures/icycavern_general/water_blue_lightm.jpg"
	qer_editorImage "textures/icycavern_general/water_blue1.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_surfaceLight 1000
	q3map_lightSubdivide 512
	q3map_backSplash 30 50
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_detail2brighter.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_detail1.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_green1
{
	q3map_lightImage "textures/icycavern_general/water_green_lightm.jpg"
	qer_editorImage "textures/icycavern_general/water_green1.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_surfaceLight 1000
	q3map_lightSubdivide 512
	q3map_backSplash 30 50
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_gdetail2brighter.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_gdetail1.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/wood1_non:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}